Bug 52049 - Incorrect setup instructions
Incorrect setup instructions
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
unspecified
Other All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-10-18 13:55 UTC by akalender
Modified: 2011-10-26 18:18 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description akalender 2011-10-18 13:55:18 UTC
Hi,

in chapter 2 setup of the documentation of at least Tomcat 6 and Tomcat 7 for the windows installation the following item is mentioned:

"Java location: The installer will use the registry or the JAVA_HOME environment variable to determine the base path of a J2SE 5 JRE."

I think that JAVA_HOME should/must be replaced by JRE_HOME. If the variable JAVA_HOME is exported Tomcat seems to expect a valid base path of a J2SE 5 JDK (or J2SE 6 JDK for Tomcat 7). 

I would like to ask for an update of the corresponding manual pages. Thanks in advance!
Comment 1 Konstantin Kolinko 2011-10-18 14:31:44 UTC
Yes, the text is wrong, but in a different way: the Tomcat Windows installer does not look for JAVA_HOME or for JRE_HOME variables. It looks at the registry only.

(Function findJavaHome in res/tomcat.nsi)

The service.bat manual service installation script does look for those variables, but it is not what is described here.
Comment 2 akalender 2011-10-18 14:37:30 UTC
Excuse me, yes, you are correct the windows installer will use the registry. 

In this case still exporting JAVA_HOME as a pointer to the base directory of a JRE might cause problems. 
E.g. one might deflate the plain zip-file in parallel and start the "statup.bat" (I haven't tested whether the registry value will be used by "startup.bat" created by windows installer).

So if the value JAVA_HOME is not used I would like to ask you to remove it or (as in case of the startup.bat file) to correct the information. 

Don't get me wrong, it is not a big problem to me. Usally I only refer to (the very good) documentation of Apache projects if customers want to install an application manually. And one (no pro in IT) has chosen to install it manually and  get's an error that the JAVA_HOME should point to JDK instead of a JRE.
Comment 3 Mark Thomas 2011-10-20 17:38:44 UTC
Fixed in trunk, 7.0.x (will be in 7.0.23 onwards) and 6.0.x (will be in 6.0.34 onwards).
Comment 4 Konstantin Kolinko 2011-10-26 18:18:38 UTC
Updated 5.5 docs as well in r1189356 - will be in 5.5.35.